#! /usr/bin/env python


import sys, os
from filetypes import is_v2

if len(sys.argv) == 1:
   start_dir = '.'
elif len(sys.argv) == 2:
   start_dir = sys.argv[1]
else:
   sys.exit("Usage: %s [start_dir]" % sys.argv[0])


def find_v1(arg, dirname, names):
   if dirname == '.': return

   for filename in names:
      if is_v2(os.path.join(dirname, filename)):
         print filename


os.path.walk(start_dir, find_v1, None)
