#! /usr/bin/env python

import sys
from os import utime
from os.path import getmtime
import eyeD3

for filename in sys.argv[1:]:
   mtime = getmtime(filename)
   id3tag = eyeD3.Tag()
   id3tag.link(filename, eyeD3.ID3_V2)

   id3tag.setVersion(eyeD3.ID3_V1)
   id3tag.update()
   utime(filename, (mtime, mtime))
