#! /bin/sh

if [ "$1" = "koi2win" ]; then
   direction="$1"
elif [ "$1" = "win2koi" ]; then
   direction="$1"
elif [ "$1" = "koi2utf" ]; then
   direction="$1"
elif [ "$1" = "koi2utf8" ]; then
   direction=koi2utf
elif [ "$1" = "win2utf" ]; then
   direction="$1"
elif [ "$1" = "win2utf8" ]; then
   direction=win2utf
else
   echo "Usage: $0 koi2win|win2koi|koi2utf|win2utf"
   exit 1
fi

PATH=$HOME/lib/audio/mp3:$PATH
umask 022

if [ "$2" ]; then
   cd "$2" || exit 1 # or just do it in current directory
fi
start_dir="`pwd`"

find . -name PlayList.m3u -print |
while read path; do
   dir="`dirname \"$path\"`"
   cd "$dir" || exit 1
   recode-tags-list.sh PlayList.m3u $direction
   cd "$start_dir" || exit 1
done
