#! /bin/sh


if [ "$2" = "koi2win" ]; then
   direction="$2"
elif [ "$2" = "win2koi" ]; then
   direction="$2"
elif [ "$2" = "koi2utf" ]; then
   direction="$2"
elif [ "$2" = "koi2utf8" ]; then
   direction=koi2utf
elif [ "$2" = "win2utf" ]; then
   direction="$2"
elif [ "$2" = "win2utf8" ]; then
   direction=win2utf
else
   echo "Usage: $0 playlist koi2win|win2koi|koi2utf|win2utf"
   exit 1
fi

cd "$1" || exit 1

PATH=$HOME/lib/audio/mp3:$PATH
umask 022

if [ "$direction" = "koi2win" ]; then
   enc_from=koi8-r
   enc_to=cp1251
elif [ "$direction" = "win2koi" ]; then
   enc_from=cp1251
   enc_to=koi8-r
elif [ "$direction" = "koi2utf" ]; then
   enc_from=koi8-r
   enc_to=utf-8
elif [ "$direction" = "win2utf" ]; then
   enc_from=cp1251
   enc_to=utf-8
fi

exec xargs -r -d\\n recode-id3.py -f $enc_from -t $enc_to < PlayList.m3u
