#! /bin/sh

PATH=$HOME/lib/audio:$PATH
umask 022

if [ "$1" ]; then
   cd "$1" || exit 1 # or just do it in current directory
fi
start_dir="`pwd`"

find . -type d -print |
while read dir; do
   cd "$dir" || exit 1
   [ -f PlayList.m3u ] && playlist2name.py PlayList.m3u
   cd "$start_dir" || exit 1
done
